@layer mms-app-reset, mms-ui-reset;

@layer mms-app-reset {
  /***
    Shared application CSS reset rules
    Extracted from app-specific resets to avoid duplication.
    Based on "The new CSS reset - version 1.4.9".
  ***/

  html,
  body {
    height: 100%;
  }

  /*
  @see https://www.joshwcomeau.com/css/custom-css-reset/
  and https://developer.mozilla.org/en-US/docs/Web/CSS/font-smooth */
  body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }

  /*
  @see https://kilianvalkhof.com/2022/css-html/your-css-reset-needs-text-size-adjust-probably/
  and https://jira.media-saturn.com/browse/OSINSPIRE-1754
  */
  html {
    -webkit-text-size-adjust: none;
    -moz-text-size-adjust: none;
    -ms-text-size-adjust: none;
    text-size-adjust: none;
    font-family: NotoSansDisplay, 'NotoSansDisplay-fallback', Arial, sans-serif;
  }

  /*
  @see https://jira.media-saturn.com/browse/OHWI-735
  and https://learn.microsoft.com/en-us/microsoft-edge/web-platform/password-reveal */
  ::-ms-reveal {
    display: none;
  }

  input[type='search']::-webkit-search-decoration,
  input[type='search']::-webkit-search-cancel-button,
  input[type='search']::-webkit-search-results-button,
  input[type='search']::-webkit-search-results-decoration {
    display: none;
  }

  /* fix the feature of 'hidden' attribute.
     display:revert; revert to element instead of attribute */
  :where([hidden]) {
    display: none;
  }

  /* revert for bug in Chromium browsers
     - fix for the content editable attribute will work properly. */
  :where([contenteditable]) {
    -moz-user-modify: read-write;
    -webkit-user-modify: read-write;
    overflow-wrap: break-word;
    -webkit-line-break: after-white-space;
  }

  /* apply back the draggable feature - exist only in Chromium and Safari */
  :where([draggable='true']) {
    -webkit-user-drag: element;
  }

  /* minimum style to allow to style meter element */
  meter {
    -webkit-appearance: revert;
    appearance: revert;
  }
}
